
// featuresVersion属于哪个功能版本： experience-体验版， building-写字楼版， enterprise-企业版
// npm run server-test-building 通过增加node_env 参数来判断test-building, test 是环境是test 还是prod ,building参数即是featuresVersion参数值
let envValus = NODE_ENV.split('-')
let env = envValus[0]
let featuresVersion = envValus[1]
let projectName = envValus[2] || ''
// 根据在package.json中配置的不同编译命令，引用/config下不同的配置文件
import base from './base'
import demo from './demo'
import dev from './dev'
import test from './test'
import prod from './prod'
let config
if (env == 'dev') {
  config = dev
}

if (env === 'prod') {
  config = prod
}

const setupService = '/duoduo-service/setup-service/'
const objectService = '/duoduo-service/object-service/'
const duoduoenvService = '/duoduo-service/duoduoenv-service/'

config = Object.assign(base, config, {
  // h5PagePath: config.h5Origin + '/#',
  h5PagePath: 'http://localhost:8081/' + '/#',
  // h5StaticPath: 'http://192.168.16.234:8080/static',
  h5StaticPath:'http://wechat.sagacloud.cn/saga/image/wechat/static',
  // h5StaticPath: config.h5Origin + '/static/WeChat',
  featuresVersion,
  projectName,
  setupService,
  objectService,
  duoduoenvService,
  env
})

export default Object.freeze(config)
